.collapsible-icon:before {
    content: '➤';
}

.collapsible-icon {
    margin: 1.7em 0;
    backface-visibility: hidden;
    perspective: 1000;
    transform: translateZ(0);
    display: flex;
    justify-content: center;
    align-items: center;
    transition: transform 0.15s ease-in-out;
}

.active .collapsible-icon {
    transform: rotate(90deg); /* Or 270deg depending on desired direction */
}

.collapsibles {
    padding: 0 80px;
    @media (max-width: 1000px) {
        padding: 0 40px;
    }
    @media (max-width: 600px) {
        padding: 0 30px;
    }
}

.collapsible {
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: transparent;
    cursor: pointer;
    width: 100%;
    
    text-align: left;
    outline: none;
    border: 0;
    border-bottom: 4px solid var(--color-citrine);
    margin-bottom: 1em;
    color: var(--color-onyx);
    font-size: clamp(1.2em, 3vw, 1.6em);
    font-family: 'Plus Jakarta Sans', sans-serif;
}

.collapsible-title {
    padding-right: 2em;
}

.collapsible:after {
    font-size: 13px;
    color: white;
    float: right;
    margin-left: 5px;
}

.collapsible h3 {
    border: none;
    padding-left: none !important;
}

.collapsible-content {
    padding: 0 1em;
    background-color: var(--color-background-gray-2);
    max-height: 0;
    overflow: hidden;
    transition: max-height 0.15s ease-in-out;
    font-size: clamp(1em, 1.5vw, 1.2em);
}